Bug 805740 - Pulp fails to generate metadata for a repo with a filter the second time it gets promoted
Pulp fails to generate metadata for a repo with a filter the second time it g...
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
1.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 34
Assigned To: Pradeep Kilambi
Preethi Thomas
:
Depends On: 805713
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 20:05 EDT by Pradeep Kilambi
Modified: 2013-09-09 12:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 805713
Environment:
Last Closed: 2012-05-25 10:14:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Pradeep Kilambi 2012-03-22 15:17:57 EDT
commit e8bcd4ddd1dd3b340f5d52b07edf2c2a1b324af0
Author: Pradeep Kilambi <pkilambi@redhat.com>
Date:   Thu Mar 22 15:16:55 2012 -0400

    805740 - generate metadata on repromotion with filters
Comment 2 Jeff Ortel 2012-03-26 11:59:54 EDT
build: 1.0.0-7
Comment 3 Preethi Thomas 2012-03-26 21:47:40 EDT
verified
[root@pulp-v1-server ~]# rpm -q pulp
pulp-1.0.0-8.el6.noarch
[root@pulp-v1-server ~]# 

[root@pulp-v1-server ~]# pulp-admin repo clone --id Agent_SystemEngine_Moscow -F --clone_id clone1 --feed=parent --filter katello-agent -F
Repository [Agent_SystemEngine_Moscow] is being cloned as [clone1]
Clone: Finished
Item Details: 
RPMs: 30/31



[root@pulp-v1-server ~]# pulp-admin repo clone --id Agent_SystemEngine_Moscow -F --clone_id clone2 --feed=parent --filter katello-agent -F
Repository [Agent_SystemEngine_Moscow] is being cloned as [clone2]
Clone: Finished
Item Details: 
RPMs: 30/31


[root@pulp-v1-server ~]# ls -l /var/lib/pulp/repos/clone1/repodata/
total 96
-rw-r--r--. 1 apache apache 16020 Mar 26 21:21 filelists.sqlite.bz2
-rw-r--r--. 1 apache apache  8362 Mar 26 21:21 filelists.xml.gz
-rw-r--r--. 1 apache apache 16975 Mar 26 21:21 other.sqlite.bz2
-rw-r--r--. 1 apache apache 10714 Mar 26 21:21 other.xml.gz
-rw-r--r--. 1 apache apache 18207 Mar 26 21:21 primary.sqlite.bz2
-rw-r--r--. 1 apache apache  8574 Mar 26 21:21 primary.xml.gz
-rw-r--r--. 1 apache apache  2377 Mar 26 21:21 repomd.xml
[root@pulp-v1-server ~]# 

[root@pulp-v1-server ~]# ls -l /var/lib/pulp/repos/clone2/repodata/total 96
-rw-r--r--. 1 apache apache 16021 Mar 26 21:26 filelists.sqlite.bz2
-rw-r--r--. 1 apache apache  8362 Mar 26 21:26 filelists.xml.gz
-rw-r--r--. 1 apache apache 16933 Mar 26 21:26 other.sqlite.bz2
-rw-r--r--. 1 apache apache 10714 Mar 26 21:26 other.xml.gz
-rw-r--r--. 1 apache apache 18215 Mar 26 21:26 primary.sqlite.bz2
-rw-r--r--. 1 apache apache  8574 Mar 26 21:26 primary.xml.gz
-rw-r--r--. 1 apache apache  2377 Mar 26 21:26 repomd.xml

[root@pulp-v1-server ~]# pulp-admin package install -n katello-agent --consumerid=pulp-client
Created task id: a0bda4cc-77ad-11e1-9e1d-52540067ae07
Waiting: [\] 
Consumer ID: pulp-client  [ FAILED ] No package(s) available to install

[root@pulp-v1-server ~]# md5sum /var/lib/pulp/repos/clone1/repodata/primary.xml.gz 
25c2b773c60a634d8770c5dca589c4a9  /var/lib/pulp/repos/clone1/repodata/primary.xml.gz
[root@pulp-v1-server ~]# md5sum /var/lib/pulp/repos/clone2/repodata/primary.xml.gz 
f77ebe14bd2ec20d0f0a1c4d1c61d8c5  /var/lib/pulp/repos/clone2/repodata/primary.xml.gz
[root@pulp-v1-server ~]#
Comment 4 Preethi Thomas 2012-05-25 10:14:29 EDT
Pulp v1.1 Release

Note You need to log in before you can comment on or make changes to this bug.